Bug 220382 - Unable to install RHEL5 B2 (2747)as a guest on a VMWare Server
Unable to install RHEL5 B2 (2747)as a guest on a VMWare Server
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 16:00 EST by Jan Mark Holzer
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 20:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Mark Holzer 2006-12-20 16:00:33 EST
Description of problem:

Unable to install RHEL5 B2 (2747)as a guest on a VMWare Server
 
RHEL5 will not currently install under VMWare  version 2.54 or 3.x
After proceeding normally for some time, the RHEL5 install stops 
when trying to partition disk, saying it can find no storage.

Also tried to boot with 'linux noprobe' and then select 'buslogic scsi'
from the drivers.
But there is no buslogic driver in the boot image.  


Version-Release number of selected component (if applicable):

RHEL5 B2 rev 2747

How reproducible:

Install RHEl5 B2 on a WMWare server and try to select storage
during storare configuration

Steps to Reproduce:
1. install thel5 b2 on VMware server
2. proceed to storage selection 
3. install will fail
  
Actual results:

RHEL5 B2 install fails on VMWare server

Expected results:

Should be able to install RHEL5 B2 as a guest on VMWare server

Additional info:

This BZ is on behalf of AMEX who're in the middle of a POC for RHEl5
and want to compare Xen with VMWare so the ability to install RHEL5 on
VMWare is critical to them
Comment 1 Jan Mark Holzer 2006-12-21 08:45:12 EST
Update on some testing :

It seems a workaround in VMWare 3.x can be :

- Configure VMWare to use LSI Logic SCSI emulation (Default is Buslogic)
- Configure VMware image Edit->Options->Version = 
   "Red Hat Enterprise Linux 4, 64 bit"
- Boot RHEL5-B2 media, at first prompt use 'linux noprobe'
- When prompted for device drivers, add 'LSI Logic Fusion MPT SPI Host 
  Driver (mptspi)'
- This will automatically also add in the mptbase driver
- Continue install normally.

Curtis was unable to test this with VMWare 2.54, but this is confirmed to work
at least for 3.x

- Jan
Comment 2 Ernie Petrides 2007-09-05 16:46:05 EDT
Hello, Jan.  Does this problem still exist with the RHEL5.1 beta kernel?
Comment 3 Jan Mark Holzer 2007-09-05 20:40:33 EDT
Hi Ernie,
   the issues has been resolved a while ago.
   It actually was fixed as part of an update to the ESX product of
   VMware (I believe RHEL5 is now fully supported on ESX 3.0.4)

- Jan

Note You need to log in before you can comment on or make changes to this bug.